# simple example that shows how to analyse calorimeter hits using LCIO format
# It fills a histogram with Z position of CAL hits and prints track phi
#  Get 4 file in 2 thread (see HepSim manual):
#  > hs-get gev250ee_pythia6_zpole_bbar%rfull001 gev250ee_pythia6_zpole_bbar  2 4 
#
# author: S.Chekanov (ANL)


from org.lcsim.event import *
from org.lcsim.util import *
from hep.physics.vec import *
from java.util import *
from java.io import *
from org.lcsim.lcio import LCIOReader
from hep.io.sio import SIOReader
from hep.lcio.implementation.sio import SIOLCReader
from hep.lcio.implementation.io import LCFactory
from hep.lcio.event import *
from hep.lcio.io import *
from jhplot import *  # import graphics

# make list of files..
import glob
files=glob.glob("gev250ee_pythia6_zpole_bbar/*.slcio")
factory = LCFactory.getInstance()
reader = factory.createLCReader()
reader.open(files)

h1=H1D("test",100,-1000,1000)
# h1.doc() # look at API

nEvent=0
while(1):
     evt=reader.readNextEvent()
     if (evt == None): break
     # print " file event: ",evt.getEventNumber(), " run=",evt.getRunNumber()
     nEvent=nEvent+1
     if (nEvent%100==0): print "# Event: ",nEvent
     strVec = evt.getCollectionNames()
     if nEvent == 1:
            for col in  strVec:
                           print col           
     col = evt.getCollection("EcalBarrelHits")
     nhits = col.getNumberOfElements()
     print "Nr of hits=",nhits
     for i in range(nhits):
          hit=col.getElementAt(i)
          x=hit.getPosition()
          h1.fill(x[2]) 

reader.close();

c1=HPlot()
# c1.doc() # look at API
c1.visible()
c1.setAutoRange()
c1.draw(h1)
c1.export("mc_hits.pdf") 
 
