# simple example that shows how to analyse calorimeter hits using LCIO format
# It fills a histogram with Z position of CAL hits and prints track phi
#  Get 4 file in 2 thread (see HepSim manual):
#  > hs-get gev250ee_pythia6_zpole_bbar%rfull001 gev250ee_pythia6_zpole_bbar  2 4 
# S.Chekanov (ANL)

from org.lcsim.event import *
from org.lcsim.util import *
from hep.physics.vec import *
from java.util import *
from java.io import *
from org.lcsim.lcio import LCIOReader
from hep.io.sio import SIOReader
from hep.lcio.implementation.sio import SIOLCReader
from hep.lcio.implementation.io import LCFactory
from hep.lcio.event import *
from hep.lcio.io import *
from jhplot import *  # import graphics
from java.awt import *


# make list of files..
import glob
files=glob.glob("gev250ee_pythia6_zpole_bbar/*.slcio")
factory = LCFactory.getInstance()
reader = factory.createLCReader()
reader.open(files)

# fill hits for 1st event
p1=P2D("cal hits")

nEvent=0
while(1):
     evt=reader.readNextEvent()
     if (evt == None or nEvent>1): break
     nEvent=nEvent+1
     print "event  : ",evt.getEventNumber(), " - run ",evt.getRunNumber()
     strVec = evt.getCollectionNames()
     if nEvent == 1:
            for col in  strVec:
                           print col           
     col = evt.getCollection("EcalBarrelHits")
     nhits = col.getNumberOfElements()
     print "Nr of hits=",nhits
     for i in range(nhits):
          hit=col.getElementAt(i)
          x=hit.getPosition()
          p1.add(x[0],x[1],x[2]) 

reader.close();


c1=HPlot3D()
c1.visible()
c1.setRange(-2000,2000,-2000,2000,-2000,2000)

p1.setSymbolSize(1)
p1.setSymbolColor(Color.blue)
c1.draw(p1)
c1.export("mc_hits3D.pdf") 
 
